Wednesday, 18 April 2012

SCVMM 2012 RC to RTM upgrade fails with error “upgrading from currently version is not supported”


I  have just tried to upgrade SCVMM 2012 RC to RTM and it failed to upgrade with following error “Upgrading from the currently installed version of VMM System Center 2012 Virtual Machine Manager is not supported. You must be running VMM 2008 R2 with Service Pack 1 (SP1) to upgrade to System Center 2012 Virtual Machine Manager.”


·         Uninstall current (RC) version of SCVMM. Make sure you select “Retain Database” in Database Options.

·         Using SQL Server Management Studio modify values of “DatabaseVersion” and “QFEDatabaseVersion” in table  tbl_VMM_GlobalSetting from RC (3.0.5007.0) to RTM (3.0.6005.0 or alternatively match to the version of setup.exe).


  • Start SCVMM 2012 installation and select existing database.
  • Finally, Don’t forget to update the VMM host agents!!
Technorati Tags: ,


Anonymous said...

Worked for me!

Anonymous said...
This comment has been removed by a blog administrator.